org.apache.olingo.odata2.api.ep

## Class EntityProviderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.olingo.odata2.api.exception.ODataException
      - - org.apache.olingo.odata2.api.exception.ODataMessageException
        - - org.apache.olingo.odata2.api.ep.EntityProviderException

- All Implemented Interfaces:
    Serializable

      public class EntityProviderException
      extends ODataMessageException

  An `EntityProviderException` is the base exception for all `EntityProvider` related exceptions. It extends the `ODataMessageException` and provides several `MessageReference` for specification of the thrown exception.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MessageReference` | `COMMON` INVALID_STATE requires no content value
    `static MessageReference` | `DOUBLE_PROPERTY` DOUBLE_PROPERTY requires 1 content value ('double tag/property')
    `static MessageReference` | `END_DOCUMENT_EXPECTED` END_DOCUMENT_EXPECTED requires 1 content value ('actual token')
    `static MessageReference` | `EXCEPTION_OCCURRED` EXCEPTION_OCCURRED requires 1 content value ('exception name')
    `static MessageReference` | `EXPANDNOTSUPPORTED`
    `static MessageReference` | `ILLEGAL_ARGUMENT` ILLEGAL_ARGUMENT requires 1 content value ('message')
    `static MessageReference` | `INCORRECT_NAVIGATION_TYPE` Navigation Property has incorrect type
    `static MessageReference` | `INLINECOUNT_INVALID`
    `static MessageReference` | `INVALID_ATTRIBUTE` INVALID_ATTRIBUTE found ('invalid attribute name')
    `static MessageReference` | `INVALID_COMPLEX_TYPE` INVALID_COMPLEX_TYPE requires 2 content values ('supplied complex type' and 'content complex type')
    `static MessageReference` | `INVALID_CONTENT` INVALID_CONTENT requires 2 content values ('invalid tag' and 'parent tag')
    `static MessageReference` | `INVALID_DELETED_ENTRY_METADATA`
    `static MessageReference` | `INVALID_ENTITYTYPE` INVALID_ENTITYTYPE requires 2 content values ('supplied entity type' and 'content entity type')
    `static MessageReference` | `INVALID_INLINE_CONTENT` INVALID_INLINE_CONTENT requires 1 content value ('invalid inline message')
    `static MessageReference` | `INVALID_MAPPING` INVALIDMAPPING requires 1 content value ('propertyName')
    `static MessageReference` | `INVALID_NAMESPACE` INVALID_NAMESPACE requires 1 content value ('invalid tag/namespace')
    `static MessageReference` | `INVALID_PARENT_TAG` INVALID_PARENT_TAG requires 2 content values ('expected parent tag' and 'found parent tag')
    `static MessageReference` | `INVALID_PROPERTY` INVALID_PROPERTY requires 1 content value ('invalid property name')
    `static MessageReference` | `INVALID_PROPERTY_VALUE` INVALID_PROPERTY_VALUE requires 1 content value ('invalid value')
    `static MessageReference` | `INVALID_STATE` INVALID_STATE requires 1 content value ('message')
    `static MessageReference` | `MANDATORY_WRITE_PROPERTY` MANDATORY_WRITE_PROPERTY requires no content value
    `static MessageReference` | `MEDIA_DATA_NOT_INITIAL` MEDIA_DATA_NOT_INITIAL requires no content value
    `static MessageReference` | `MISSING_ATTRIBUTE` INVALID_PARENT_TAG requires 2 content values ('missing attribute name' and 'tag name')
    `static MessageReference` | `MISSING_PROPERTY` MISSING_PROPERTY requires 1 content value ('invalid value')
    `static MessageReference` | `MISSING_RESULTS_ARRAY` MISSING_RESULTS_ARRAY requires no content value
    `static MessageReference` | `MISSING_TAG` MISSING_TAG requires 1 content values ('tag name')
    `static MessageReference` | `NOT_SET_CHARACTER_ENCODING` NOT_SET_CHARACTER_ENCODING requires no content value
    `static MessageReference` | `NULL_VALUE`
    `static MessageReference` | `UNSUPPORTED_CHARACTER_ENCODING` UNSUPPORTED_CHARACTER_ENCODING requires 1 content value ('found but unsupported character encoding')
    `static MessageReference` | `UNSUPPORTED_PROPERTY_TYPE` UNSUPPORTED_PROPERTY_TYPE requires 1 content values ('property type')

    - ### Fields inherited from class org.apache.olingo.odata2.api.exception.ODataMessageException

      `errorCode, messageReference`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityProviderException(MessageReference messageReference)`
    `EntityProviderException(MessageReference messageReference, String errorCode)`
    `EntityProviderException(MessageReference messageReference, Throwable cause)`
    `EntityProviderException(MessageReference messageReference, Throwable cause, String errorCode)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.olingo.odata2.api.exception.ODataMessageException

      `createMessageReference, getErrorCode, getMessage, getMessageReference`

    - ### Methods inherited from class org.apache.olingo.odata2.api.exception.ODataException

      `getApplicationExceptionCause, getHttpExceptionCause, getMessageExceptionCause, isCausedByApplicationException, isCausedByHttpException, isCausedByMessageException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### COMMON

          public static final MessageReference COMMON

      INVALID_STATE requires no content value

    - #### EXCEPTION_OCCURRED

          public static final MessageReference EXCEPTION_OCCURRED

      EXCEPTION_OCCURRED requires 1 content value ('exception name')

    - #### INVALID_MAPPING

          public static final MessageReference INVALID_MAPPING

      INVALIDMAPPING requires 1 content value ('propertyName')

    - #### INVALID_ENTITYTYPE

          public static final MessageReference INVALID_ENTITYTYPE

      INVALID_ENTITYTYPE requires 2 content values ('supplied entity type' and 'content entity type')

    - #### INVALID_COMPLEX_TYPE

          public static final MessageReference INVALID_COMPLEX_TYPE

      INVALID_COMPLEX_TYPE requires 2 content values ('supplied complex type' and 'content complex type')

    - #### INVALID_CONTENT

          public static final MessageReference INVALID_CONTENT

      INVALID_CONTENT requires 2 content values ('invalid tag' and 'parent tag')

    - #### INVALID_PROPERTY_VALUE

          public static final MessageReference INVALID_PROPERTY_VALUE

      INVALID_PROPERTY_VALUE requires 1 content value ('invalid value')

    - #### MISSING_PROPERTY

          public static final MessageReference MISSING_PROPERTY

      MISSING_PROPERTY requires 1 content value ('invalid value')

    - #### MISSING_ATTRIBUTE

          public static final MessageReference MISSING_ATTRIBUTE

      INVALID_PARENT_TAG requires 2 content values ('missing attribute name' and 'tag name')

    - #### MISSING_TAG

          public static final MessageReference MISSING_TAG

      MISSING_TAG requires 1 content values ('tag name')

    - #### UNSUPPORTED_PROPERTY_TYPE

          public static final MessageReference UNSUPPORTED_PROPERTY_TYPE

      UNSUPPORTED_PROPERTY_TYPE requires 1 content values ('property type')

    - #### INLINECOUNT_INVALID

          public static final MessageReference INLINECOUNT_INVALID

    - #### INVALID_STATE

          public static final MessageReference INVALID_STATE

      INVALID_STATE requires 1 content value ('message')

    - #### INVALID_INLINE_CONTENT

          public static final MessageReference INVALID_INLINE_CONTENT

      INVALID_INLINE_CONTENT requires 1 content value ('invalid inline message')

    - #### INVALID_PROPERTY

          public static final MessageReference INVALID_PROPERTY

      INVALID_PROPERTY requires 1 content value ('invalid property name')

    - #### ILLEGAL_ARGUMENT

          public static final MessageReference ILLEGAL_ARGUMENT

      ILLEGAL_ARGUMENT requires 1 content value ('message')

    - #### INVALID_NAMESPACE

          public static final MessageReference INVALID_NAMESPACE

      INVALID_NAMESPACE requires 1 content value ('invalid tag/namespace')

    - #### INVALID_PARENT_TAG

          public static final MessageReference INVALID_PARENT_TAG

      INVALID_PARENT_TAG requires 2 content values ('expected parent tag' and 'found parent tag')

    - #### EXPANDNOTSUPPORTED

          public static final MessageReference EXPANDNOTSUPPORTED

    - #### DOUBLE_PROPERTY

          public static final MessageReference DOUBLE_PROPERTY

      DOUBLE_PROPERTY requires 1 content value ('double tag/property')

    - #### NOT_SET_CHARACTER_ENCODING

          public static final MessageReference NOT_SET_CHARACTER_ENCODING

      NOT_SET_CHARACTER_ENCODING requires no content value

    - #### UNSUPPORTED_CHARACTER_ENCODING

          public static final MessageReference UNSUPPORTED_CHARACTER_ENCODING

      UNSUPPORTED_CHARACTER_ENCODING requires 1 content value ('found but unsupported character encoding')

    - #### MEDIA_DATA_NOT_INITIAL

          public static final MessageReference MEDIA_DATA_NOT_INITIAL

      MEDIA_DATA_NOT_INITIAL requires no content value

    - #### END_DOCUMENT_EXPECTED

          public static final MessageReference END_DOCUMENT_EXPECTED

      END_DOCUMENT_EXPECTED requires 1 content value ('actual token')

    - #### MISSING_RESULTS_ARRAY

          public static final MessageReference MISSING_RESULTS_ARRAY

      MISSING_RESULTS_ARRAY requires no content value

    - #### NULL_VALUE

          public static final MessageReference NULL_VALUE

    - #### INCORRECT_NAVIGATION_TYPE

          public static final MessageReference INCORRECT_NAVIGATION_TYPE

      Navigation Property has incorrect type

    - #### MANDATORY_WRITE_PROPERTY

          public static final MessageReference MANDATORY_WRITE_PROPERTY

      MANDATORY_WRITE_PROPERTY requires no content value

    - #### INVALID_DELETED_ENTRY_METADATA

          public static final MessageReference INVALID_DELETED_ENTRY_METADATA

    - #### INVALID_ATTRIBUTE

          public static final MessageReference INVALID_ATTRIBUTE

      INVALID_ATTRIBUTE found ('invalid attribute name')

  - ### Constructor Detail

    - #### EntityProviderException

          public EntityProviderException(MessageReference messageReference)

    - #### EntityProviderException

          public EntityProviderException(MessageReference messageReference,
                                         Throwable cause)

    - #### EntityProviderException

          public EntityProviderException(MessageReference messageReference,
                                         String errorCode)

    - #### EntityProviderException

          public EntityProviderException(MessageReference messageReference,
                                         Throwable cause,
                                         String errorCode)

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.